Fiscal Harmony API
  1. Tax Mappings
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
        GET
      • Add Tax Mapping
        POST
      • Get Specific Tax Mapping
        GET
      • Update Tax Mapping
        PUT
      • Delete Tax Mapping
        DELETE
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Tax Mappings

Get All TaxMappings

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
GET
/taxmapping
Last modified:2026-02-27 08:32:37
Retrieves a list of all currently available tax mappings on your app.

Request

Header Params

Responses

🟢200
application/json
Returns a TaxMapping[] containing all your current tax mappings
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1209598-0-default/taxmapping' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1'
Response Response Example
[
    {
        "Id": 1,
        "UserId": 1,
        "TaxCode": "VAT",
        "TaxName": "VAT (15.5%)",
        "ZimraTaxId": 1,
        "DestinationTaxId": 1
    },
    {
        "Id": 2,
        "UserId": 1,
        "TaxCode": "000",
        "TaxName": "No Tax (0%)",
        "ZimraTaxId": 2,
        "DestinationTaxId": 2
    }
]
Modified at 2026-02-27 08:32:37
Previous
Tax Mappings
Next
Add Tax Mapping
Built with